Npms_big

babel-core

6.24.1

Babel compiler core.

(6to5, babel, classes, const, es6, harmony, let, modules, transpile, transpiler, var, babel-core, compiler)

Critical or Security advisories for 6.24.1

This version doesn't have any advisory. Want to report one?

Changelog for 6.24.1

v6.24.1 (2017-04-07)

:bug: Bug Fix

  • babel-plugin-transform-regenerator
    • #5567 Update regenerator-transform to new version. (@aickin)

Fixes an issue when using async arrow functions with rest parameters (crazy!)

function test(fn) {
  return async (...args) => {
    return fn(...args);
  };
} 
  • babel-plugin-transform-es2015-function-name, babel-types
var obj = { await: function () {} }; // input
var obj = { await: function _await() {} };  // output

:memo: Documentation

  • babel-generator
    • #5477 Update babel-generator documentation. (@xtuc)

:house: Internal

  • babel-generator
  • babel-helper-builder-react-jsx
    • #5486 Removes unused lodash dependency from babel-helper-builder-react-jsx. (@segphault)

Committers: 5

Dependencies for 6.24.1

Name Requirement Status
^6.22.0

^6.24.1

^6.22.0

^6.24.1

^6.24.1

^6.23.0

^6.23.0

^6.24.1

^6.22.0

^6.24.1

Display all

My projects using babel-core

Name Locked version Requirement
You should be logged in to see which of your projects use babel-core.